# Interface methods for submodule: LightProcessObject
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: LightProcessObject
class LightProcessObjectProxy(_ObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetAbortGenerateData(self, _arg: bool) -> None:
		""""""
		...

	def GetAbortGenerateData(self) -> bool:
		""""""
		...

	def AbortGenerateDataOn(self) -> None:
		""""""
		...

	def AbortGenerateDataOff(self) -> None:
		""""""
		...

	def SetProgress(self, _arg: float) -> None:
		""""""
		...

	def GetProgress(self) -> float:
		""""""
		...

	def UpdateProgress(self, amount: float) -> None:
		""""""
		...

	def UpdateOutputData(self) -> None:
		""""""
		...

